Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 707194 - media-sound/pwavecat-0.4.5 : fails to build with -fno-common or gcc-10
Summary: media-sound/pwavecat-0.4.5 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Sound Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-29 17:58 UTC by Toralf Förster
Modified: 2020-08-08 16:54 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.70 KB, text/plain)
2020-01-29 17:58 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,52.08 KB, text/plain)
2020-01-29 17:58 UTC, Toralf Förster
Details
environment (environment,87.99 KB, text/plain)
2020-01-29 17:58 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,11.97 KB, application/x-bzip)
2020-01-29 17:58 UTC, Toralf Förster
Details
media-sound:pwavecat-0.4.5:20200129-042835.log (media-sound:pwavecat-0.4.5:20200129-042835.log,3.86 KB, text/plain)
2020-01-29 17:58 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,21.13 KB, application/x-bzip)
2020-01-29 17:58 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-29 17:58:15 UTC
 * please use append-cppflags for preprocessor flags
make -j1 CC=x86_64-pc-linux-gnu-gcc 'CFLAGS=-O2 -pipe -march=native -fno-common -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE' 
x86_64-pc-linux-gnu-gcc -O2 -pipe -march=native -fno-common -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -c pwavecat.c parts.c
x86_64-pc-linux-gnu-gcc -Wl,-O1 -Wl,--as-needed -o pwavecat   pwavecat.o parts.o 
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: parts.o:(.bss+0x340): multiple definition of `parttab'; pwavecat.o:(.bss+0x340): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: parts.o:(.bss+0x33c): multiple definition of `debug_flag'; pwavecat.o:(.bss+0x33c): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop_plasma_systemd-20200127-214345

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *


llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.6
  [3]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *

java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.14.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm
ghc:
The Glorious Glasgow Haskell Compilation System, version 7.10.3

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Wed, 29 Jan 2020 03:06:23 +0000

emerge -qpvO media-sound/pwavecat
[ebuild  N    ] media-sound/pwavecat-0.4.5
Comment 1 Toralf Förster gentoo-dev 2020-01-29 17:58:18 UTC
Created attachment 607816 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-29 17:58:21 UTC
Created attachment 607818 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-01-29 17:58:24 UTC
Created attachment 607820 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-01-29 17:58:26 UTC
Created attachment 607822 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-01-29 17:58:29 UTC
Created attachment 607824 [details]
media-sound:pwavecat-0.4.5:20200129-042835.log
Comment 6 Toralf Förster gentoo-dev 2020-01-29 17:58:32 UTC
Created attachment 607826 [details]
temp.tbz2
Comment 7 Larry the Git Cow gentoo-dev 2020-08-08 16:54:33 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c6e340c732c5ef61880193a55a9037c8cbe8331f

commit c6e340c732c5ef61880193a55a9037c8cbe8331f
Author:     David Seifert <soap@gentoo.org>
AuthorDate: 2020-08-08 16:53:54 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2020-08-08 16:53:54 +0000

    media-sound/pwavecat: Fix building under -fno-common
    
    * Fix sandbox issue introduced by commit ba033ea82276709866cfa58a301f524ad9955f72
    
    Closes: https://bugs.gentoo.org/656634
    Closes: https://bugs.gentoo.org/707194
    Package-Manager: Portage-3.0.1, Repoman-2.3.23
    Signed-off-by: David Seifert <soap@gentoo.org>

 .../pwavecat/files/pwavecat-0.4.5-Makefile.patch   | 27 +++++++++
 .../pwavecat/files/pwavecat-0.4.5-fno-common.patch | 65 ++++++++++++++++++++++
 .../pwavecat/files/pwavecat-0.4.5-overflow.patch   |  2 -
 .../pwavecat/files/pwavecat-0.4.5-version.patch    | 11 ++++
 media-sound/pwavecat/files/pwavecat-0.4.5.diff     | 27 ---------
 media-sound/pwavecat/pwavecat-0.4.5.ebuild         | 21 +++----
 6 files changed, 114 insertions(+), 39 deletions(-)